<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-23T15:29:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-06-07T14:40:34Z</TimeStamp>
    <ReleaseNote>Adds support for no streaming TSR AIR variant</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-07T14:17:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Verified with datapro versions 4.0.959.48820 and 4.1.315.48822. 

1. Setting disable streaming feature attribute to a 1  then discovering Das   in dp  a test setup cannot be run with das set to streaming and hw stream out channel is not shown for the das.

2. Manually adding a TSR air then attempting to run a test with streaming  RUN  test Hw step shows an error .

3. Logging into  4 0 remote db  that has a tsr air that was discovered with  streaming disabled with 4 1 Datapro shows tsr air  with no stream out hw channel as it should and a streaming  test setup cannot be run as expected.

4. Setting  disable streaming  feature attribute to 0 and discovering  das  , hardware stream out channel is visible in test setup and streaming test setup validates .

  </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-06-06T16:14:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-05T14:49:10Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48818 is 4.0; 48819 is 4.1.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-06-02T23:52:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-31T22:32:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Testing scenarios (in addition to ensuring that a TSR AIR with the DISABLE_STREAMING_FEATURE set to 0 works as it did previously):

1) After discovering a TSR AIR with the DISABLE_STREAMING_FEATURE attribute set to 1, a Test Setup with recording mode of Streaming should not validate.

2) After manually adding a TSR AIR with the DISABLE_STREAMING_FEATURE attribute set to 1, a Test Setup will validate but should display an error in the Hardware step of Run Test.

3) Running a test with a new 4.1 client, but using an old 4.0 database containing a TSR AIR that was discovered with the DISABLE_STREAMING_FEATURE attribute set to 1 should display an error in the Hardware step of Run Test.

Notably, running a test with a TSR AIR with old firmware (protocol version 24 or older), will allow a user to use streaming since the ability to disable streaming was not implemented until version 25.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-31T22:31:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To disable streaming on a TSR AIR, use the SLICE Tools |  Stack | Manage menu of Firmware Test Utility, select the DISABLE_STREAMING_FEATURE System Attribute (on any tab), set the Value to 1 and click on the Write button (0 will enable streaming).  This value will be set at the factory before shipping a TSR AIR, and DataPRO should not allow the user to modify it. </Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-31T20:29:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-26T16:28:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-24T00:10:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T18:32:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-23T16:11:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T21:57:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-09T21:44:12Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T16:26:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T15:11:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-09T14:48:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-25T22:03:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-24T21:45:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-05T18:46:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-27T22:09:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>there's this method that might need to be updated.
 
        public static bool IsStreamingProfileSupported(UDPStreamProfile profile, int protocolVersion)
 
currently it only considers the profile, it is unaware of anything else DAS related, like the DAS has a flag saying it supports it or not.
 
There is a channel types (NVARCHAR255) array that could be used for this information, but it would be brand new WRT TSR and would need to be added, would need migration instructions, would need LTS considerations.
 
Even more complicated would be adding a new column in the db. 
 
this could be difficult.(if we want to have validation at test setup level)
 
if we only want run test level validation, 16 is fine.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-27T22:08:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment>8hr estimate to add an API call to see if the device supports streaming and to set the "supports streaming" flag I assume we already have.
 
extra 8hrs for TSR AIR recording mode nuance in Test Setup</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-21T17:25:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-21T17:19:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-21T17:19:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment>This is the software ticket for the FW case 30094</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-03-21T17:19:12Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>